%global git_tag b33919c285102fb0fdbad8a148c80cd9239aa7f5
%global git_short_tag %(c=%{git_tag}; echo ${c:0:7})
Name:           eclipse-e4-importer
Version:        0.2.0
Release:        %mkrel 0.2.git%{git_short_tag}.1
Group:          Development/Java
Summary:        Eclipse Importer plug-in
License:        EPL
URL:            https://www.eclipse.org/e4/

Source0:       http://git.eclipse.org/c/e4/org.eclipse.e4.ui.git/snapshot/org.eclipse.e4.ui-%{git_tag}.tar.xz

BuildArch:      noarch

BuildRequires: tycho
BuildRequires: tycho-extras
BuildRequires: eclipse-pde >= 1:4.6.0-0.6
BuildRequires: eclipse-license

Requires:         jsch
Requires:         eclipse-platform >= 1:4.6.0-0.6

%description
This plugin provides UI entries to enable an alternative import mechanism.

%prep
%setup -q -n org.eclipse.e4.ui-%{git_tag}

find -name *.jar -exec rm -rf {} \;
find -name *.class -exec rm -rf {} \;

# Disable features we don't want to ship
%pom_disable_module bundles/org.eclipse.e4.ui.keys.common
%pom_disable_module features/org.eclipse.e4.ui.keys.feature
%pom_disable_module build/org.eclipse.e4.ui.update
%pom_disable_module bundles/org.eclipse.e4.ui.macros
%pom_disable_module bundles/org.eclipse.e4.ui.macros.jdt
%pom_disable_module bundles/org.eclipse.e4.ui.naturist
%pom_disable_module bundles/org.eclipse.e4.jdt.scope
%pom_disable_module tests/org.eclipse.e4.naturist.tests
%pom_disable_module tests/org.eclipse.e4.jdt.scope.tests
%pom_disable_module tests/org.eclipse.e4.ui.importer.tests

# The extension points provided by this bundle were moved into the platform for Neon
%pom_disable_module bundles/org.eclipse.e4.ui.importer

%pom_add_plugin org.eclipse.tycho:tycho-maven-plugin pom.xml "<extensions>true</extensions>"
%pom_remove_parent pom.xml

%build
%mvn_build -j -- -DforceContextQualifier=$(date -u +v%Y%m%d-1000)

%install
%mvn_install

%files -f .mfiles
%doc features/org.eclipse.license/epl-v10.html



%changelog
* Thu May 12 2016 daviddavid <daviddavid> 0.2.0-0.2.gitb33919c.1.mga6
+ Revision: 1014207
- Update to latest snapshot due to further changes in Eclipse Neon API

* Wed May 04 2016 neoclust <neoclust> 0.2.0-0.1.git8af671a.1.mga6
+ Revision: 1009187
- New version 0.2.0

* Wed Mar 02 2016 neoclust <neoclust> 0.1.0-0.6.gite4610b6.3.mga6
+ Revision: 982366
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 0.1.0-0.6.gite4610b6.2.mga6
+ Revision: 975803
- First rebuild of the java stack
- sync package eclipse-e4-importer with fedora

